<?php
if(!isset($_SESSION)) 
{ 
session_start(); 
} 
if(!isset($_SESSION['is_login']) ){
header("location: login.php");
?>
<script>
window.location="login.php";
</script>
<?php
}

// $permission  = explode(',',$_SESSION['permission_id']);
// if(!in_array(19,$permission) && !in_array(1,$permission)  ){

// $op['is_success'] = false;
// $op['data'] 	  = "عذرا انت غير مخول للوصل الى هذه الصفحة";
// echo json_encode($op);
// exit;

// }

date_default_timezone_set($_SESSION['SYSTimezone']);

if (isset($_POST['type']) || isset($_GET['type'])){
		require_once "db_connect.php";

		if( isset($_GET['type']) && ($_GET['type'] == "load")){
			
			// show All products for specific category
			$cond = isset($_GET['id'])? ' AND E.expenses_group_id_fk='.$_GET['id']:'';
			$table  =  '(
				SELECT
					city_id,
					city_name,
					
					(SELECT COUNT(doctor_id)  FROM doctor D WHERE D.is_deleted=0 AND D.city_id_fk = C.city_id) AS doctor_count,

					(SELECT COUNT(zone_id)  FROM zone Z WHERE Z.is_deleted=0 AND Z.city_id_fk = C.city_id) AS zone_count,

					(SELECT COUNT(pharmacy_id)  FROM pharmacy P WHERE P.is_deleted=0 AND P.city_id_fk = C.city_id) AS pharm_count,

					(SELECT COUNT(staff_id)  FROM staff S WHERE S.is_deleted=0 AND find_in_set(  C.city_id, S.city_id_fk) > 0) AS saleman_count
				FROM
					city C
					
					
				WHERE
					( C.is_deleted = 0 ) 
			) AS ALLTBL';
			
			$primaryKey = 'city_id';
			$columns =  array(
				  			  	array( 'db' => 'city_id', 'dt' => 0 ),
			    				array( 'db' => 'city_name', 'dt' => 1 ),
			    				array( 'db' => 'doctor_count',  'dt' => 2 ),
			    				array( 'db' => 'zone_count',  'dt' => 3 ),
			    				
								array( 'db' => 'pharm_count',   'dt' => 4 ),
								array( 'db' => 'saleman_count',   'dt' => 5 )
			);
			// SQL server connection information
			$sql_details = array(
			    'user' => $mysql_user,
			    'pass' => $mysql_password,
			    'db'   => $mysql_db,
			    'host' => $mysql_server
			);
			require( 'ssp.php' );
			echo json_encode(
			    SSP::complex( $_GET, $sql_details, $table, $primaryKey, $columns ,null, '' )
			);
			exit;
		}

	
		if ($_POST['type']=="get") {

			//$user_id = $_POST['cusid'];

			$res = $db->query("SELECT * FROM city WHERE is_deleted = 0 ORDER BY city_id DESC");
			if ($res) {
				$op  = array();
				while ($row = $res->fetch_assoc()) {
				    // do what you need.
						$result[0] = $row['city_id'];
						$result[1] = $row['city_name'];
						array_push($op,$result);
				}
				echo json_encode($op);
				exit;
			}else{
				echo 0;
				exit;
			}
		}


		if ($_POST['type']=="get_edit") {

			$id = $_POST['obj_id'];
			$op  = array('is_success'=>false, 'data' => array());

			$res = $db->query('SELECT
									city_id,
									
									city_name
									
									

									FROM
										city C
										
									WHERE
										( C.is_deleted = 0 AND C.city_id = '.$id.') 

								');
			if ($res) {
				
				
				while ($row = $res->fetch_assoc()) {
				   
					$result['city_id']  			= $row['city_id'];
					$result['city_name']  			= $row['city_name'];
					// $result['class_description']  	= $row['class_description'];
						
						
						
					array_push($op['data'],$result);
				}
				$op['is_success'] = true;
				echo json_encode($op);
				exit;
			}else{
				$op['is_success'] = false;
				$op['data'] 	  = $db->error;
				echo json_encode($op);

				exit;
			}
		}

		
		

		if ($_POST['type'] == "update") {

			$id 				= $_POST['obj_id'];
			$name 				=addslashes($_POST["name"]);

			

			$op  = array('is_success'=>false, 'data' => '');

			$res = $db->query("SELECT * FROM city WHERE is_deleted=0 AND city_name = '$name' AND city_id != '$id'");

			if (mysqli_num_rows($res)>0) {
				$op['is_success'] = false;
				$op['data'] 	  = "اسم الفئة مكرر";
				echo json_encode($op);
				exit;
			}

			$reg_date = date("Y-m-d h:i:s", time());


			$lastaction = "Update City";
			$update_qry = "UPDATE city SET  	city_name = '$name',
												last_action='$lastaction',
												updated_at='$reg_date',
												last_action_by='".$_SESSION['user_id']."' 
										  WHERE city_id = $id";


			$res = $db->query($update_qry);
			if ($res) {
					



					$op['is_success'] = true;
					$op['data'] 	 	  = "تم تحديث  بنجاح";
					echo json_encode($op);
					exit;
			}else{
				$op['is_success'] = false;
				$op['data'] 	  	= "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				echo json_encode($op);
				exit;
			}
		}


		if ($_POST['type']=="delete") {

			$id=addslashes($_POST["obj_id"]);
			$reg_date = date("Y-m-d h:i:s", time());
			$lastaction = "Delete Class";


			$op  = array('is_success'=>false, 'data' => '');

			$res = $db->query("SELECT * FROM doctor WHERE is_deleted=0 AND city_id_fk = '$id'");
			if (mysqli_num_rows($res)>0) {
			
				$op['is_success'] = false;
				$op['data'] 	  = "لا يمكن حذف هذه الفئة فهناك مواد مرتبطة بها";
				echo json_encode($op);
				exit;
			}

			

			


	      $res = $db->query("UPDATE city SET is_deleted = 1 ,
	      										 deleted_at = '$reg_date',
	      										 last_action='$lastaction',
	      										 updated_at='$reg_date',
	      										 last_action_by='".$_SESSION['user_id']."' 
	      								   WHERE city_id=$id");
	     	if ($res){
	     		$op['is_success'] = true;
				$op['data'] 	  = "تمت عملية الحذف بنجاح";
				echo json_encode($op);
				exit;
	     	}
	      else{
	      		$op['is_success'] = false;
				$op['data'] 	  = "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				echo json_encode($op);
				exit;
	     	}
		}

		if ($_POST['type'] == "create") {

            $name=addslashes($_POST["name"]);

			$res = $db->query("SELECT * FROM city WHERE city_name = '$name' AND is_deleted=0");
			
			if (mysqli_num_rows($res)>0) {
				$op['is_success'] = false;
				$op['data'] 	  = "خطأ اسم الفئة مكرر";
				echo json_encode($op);
				exit;
			}
			

			

			$delete = 0;
			$reg_date = date("Y-m-d h:i:s", time());
			$lastaction = "Create New City";

			$sql ="INSERT INTO city (	city_name,
											created_by,
											created_at,
										    updated_at,
											last_action,
											last_action_by)
									VALUES( '$name',
											'".$_SESSION['user_id']."',
											'$reg_date',
											'$reg_date',
											'$lastaction',
											'".$_SESSION['user_id']."')";
			$res = $db->query($sql);
			if ($res) {

				

				$op['is_success'] = true;
				$op['data'] 	  = "تم اضافة الفئة بنجاح";
				echo json_encode($op);
				exit;
			}
			else{
				$op['is_success'] = false;
				$op['data'] 	  = "حصل خطأ: الرجاء اعادة تحميل الصفحة والمحاولة من جديد";
				echo json_encode($op);
				exit;
			}
						

		}
	}
	else{
		header("Location:../");
		exit;
	}
?>

